osl::HashKeyStack Class Reference

`#include <hashKeyStack.h>`

## Public Member Functions

| HashKeyStack (size_t capacity=0)
| ~HashKeyStack ()
void | push (const HashKey &)
void | pop ()
void | clear ()
const HashKey & | top (size_t n=0) const
bool | empty () const
size_t | size () const
void | dump () const

## Private Types

typedef std::vector< HashKey > | vector_t

## Private Attributes

vector_t | data

## Friends

bool | operator== (const HashKeyStack &l, const HashKeyStack &r)

## Detailed Description

Definition at line 11 of file hashKeyStack.h.

## Member Typedef Documentation

## vector_t

typedef std::vector<HashKey> osl::hash::HashKeyStack::vector_t

private

Definition at line 13 of file hashKeyStack.h.

## Constructor & Destructor Documentation

## HashKeyStack()

osl::hash::HashKeyStack::HashKeyStack | ( | size_t | capacity = 0 | ) |

explicit

Definition at line 6 of file hashKeyStack.cc.

## ~HashKeyStack()

osl::hash::HashKeyStack::~HashKeyStack | ( |  | ) |

Definition at line 12 of file hashKeyStack.cc.

## Member Function Documentation

## clear()

void osl::hash::HashKeyStack::clear | ( |  | ) |

inline

Definition at line 21 of file hashKeyStack.h.

## dump()

void osl::hash::HashKeyStack::dump | ( |  | ) | const

Definition at line 23 of file hashKeyStack.cc.

## empty()

bool osl::hash::HashKeyStack::empty | ( |  | ) | const

inline

Definition at line 29 of file hashKeyStack.h.

## pop()

void osl::hash::HashKeyStack::pop | ( |  | ) |

inline

Definition at line 20 of file hashKeyStack.h.

## push()

void osl::hash::HashKeyStack::push | ( | const HashKey & | key | ) |

Definition at line 17 of file hashKeyStack.cc.

## size()

size_t osl::hash::HashKeyStack::size | ( |  | ) | const

inline

Definition at line 30 of file hashKeyStack.h.

## top()

const HashKey & osl::hash::HashKeyStack::top | ( | size_t | n = 0 | ) | const

inline

Definition at line 23 of file hashKeyStack.h.

## Friends And Related Symbol Documentation

## operator==

bool operator== | ( | const HashKeyStack & | l,
|  | const HashKeyStack & | r )

friend

Definition at line 36 of file hashKeyStack.cc.

## Member Data Documentation

## data

vector_t osl::hash::HashKeyStack::data

private

Definition at line 14 of file hashKeyStack.h.

The documentation for this class was generated from the following files:

- hashKeyStack.h
- hashKeyStack.cc